<section class="vh-400" style="background-color:white" >
    <div class="container py-5 h-80">
      <div class="row d-flex justify-content-center align-items-center ">
        <div class="col col-xl-10">
          <div class="card" style="border:none ; ">
            <div class="mouna" >
              <div class="row " style="width: 100%;">
  
                <div class="col-md-6 col-lg-7 d-flex align-items-center">
                  <div class="card-body p-4 p-lg-5 text-black">
  
                    <form [formGroup]="registerForm" (ngSubmit)="register()" novalidate>
  
                      <div class="d-flex align-items-center mb-3 pb-1">
  
                        <img src="..\assets\img\Promoo.png" alt="Logo" style="height: 100%;">
                      </div>
  
                      <h5 class="fw-normal mb-3 pb-3" style="letter-spacing: 1px;">créer un compte Promo</h5>
  
                      <div class="form-group input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"> <i class="fa fa-user"></i>
                            </span>
                        </div>
                        <input formControlName="firstName" class="form-control"
                            placeholder="First name" type="text"
                            [ngClass]="{ 'is-invalid': submitted && f['firstName'].errors }">
                        <div *ngIf="submitted && f['firstName'].errors"
                            class="invalid-feedback">
                            <div *ngIf=" f['firstName'].errors['required']">First Name is
                                required</div>
                        </div>
                    </div><br>
  
                    <div class="form-group input-group">
                      <div class="input-group-prepend">
                          <span class="input-group-text"> <i class="fa fa-user"></i>
                          </span>
                      </div>
                      <input formControlName="lastName" class="form-control"
                          placeholder="Last name" type="text"
                          [ngClass]="{ 'is-invalid': submitted && f['lastName'].errors }">
                      <div *ngIf="submitted && f['lastName'].errors"
                          class="invalid-feedback">
                          <div *ngIf=" f['lastName'].errors['required']">Last Name is
                              required</div>
                      </div>
                  </div><br>
                  <div class="form-group input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text"> <i class="fa fa-envelope"></i>
                        </span>
                    </div>
                    <input formControlName="email" class="form-control"
                        placeholder="Email address" type="email"
                        [ngClass]="{ 'is-invalid': submitted && f['email'].errors }">
                    <div *ngIf="submitted && f['email'].errors"
                        class="invalid-feedback">
                        <div *ngIf=" f['email'].errors['required']">Email is required
                        </div>
                        <div *ngIf="f['email'].errors['email']">Email is invalid</div>
                    </div>
                </div><br>
                <div class="form-group input-group">
                  <div class="input-group-prepend">
                      <span class="input-group-text"> <i class="fa fa-key"></i>
                      </span>
                  </div>

                  <input [type]=" showPassword ? 'text' : 'password' "
                      class="form-control" placeholder="Create password"
                      formControlName="password" minlength="6"
                      [ngClass]="{ 'is-invalid': submitted && f['password'].errors }">

                  <div class="input-group-prepend">
                      <span class="input-group-text" (click)='showHidePassword()'><i
                              class="fa fa-eye"></i>
                      </span>
                  </div><br>
                  <div *ngIf="submitted && f['password'].errors"
                      class="invalid-feedback">
                      <div *ngIf=" f['password'].errors['required']">Password is
                          required</div>
                  </div>
                  <div *ngIf="submitted && f['password'].errors"
                      class="invalid-feedback">
                      <div *ngIf=" f['password'].errors['required']">Password min 6 characters
                      </div>
                  </div>

              </div><br>
              <div class="form-group input-group">
                  <span class="input-group-text"> <i class="fa fa-key"></i>
                  </span>
                  <div class="input-group-prepend">

                  </div>
                  <input [type]=" showPassword ? 'text' : 'password' "
                      class="form-control" placeholder="Confirm password"
                      formControlName="confirmPassword"
                      [ngClass]="{ 'is-invalid': submitted && f['confirmPassword'].errors }">

                  <div class="input-group-prepend">
                      <span class="input-group-text" (click)='showHidePassword()'><i
                              class="fa fa-eye"></i>
                      </span>
                  </div><br>

                  <div *ngIf="submitted && f['confirmPassword'].errors"
                      class="invalid-feedback">
                      <div *ngIf="f['confirmPassword'].errors['required']">
                          Confirm Password is required
                      </div>
                      <div *ngIf="f['confirmPassword'].errors['matching']">
                          Confirm Password does not match
                      </div>
                  </div>
              </div><br>
              <div class="form-group input-group">
                  <div class="input-group-prepend">
                      <span class="input-group-text"> <i class="fa fa-phone"></i>
                      </span>
                  </div>
                  <input formControlName="phone" class="form-control"
                  placeholder="Your phone" type="text"
                  [ngClass]="{ 'is-invalid': submitted && f['phone'].errors }">
                  <div *ngIf="submitted && f['password'].errors"
                      class="invalid-feedback">
                      <div *ngIf=" f['password'].errors['required']">Phone is
                          required</div>
                  </div>
              </div>
                      <div class="pt-1 ">
                        <button class="btn btn-dark btn-lg btn-block" type="submit">Register</button>
                      </div>
  
                    
  
                    </form>
  
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>